Sodax

Create Sodax transaction

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
typestring · enumRequiredPossible values:
paramsobjectRequired
Responses
post
/api/sodax/transaction
201Success

No content

Get affiliate fee

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
chevron-right
200Success

No content

get
/api/sodax/affiliate
200Success

No content

Sign and broadcast Sodax transaction

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
typestring · enumRequiredExample: sodax-withdrawPossible values:
Responses
post
/api/sodax/transaction/sign
201Success

No content

Get Sodax transactions

get
Query parameters
relatedAddress_eqstringOptional

Match rows where tradingAddress OR withdrawTo equals this Bitcoin address (e.g. musig2 withdrawTo).

intentToken_eqstringOptional

Match rows where intent.inputToken OR intent.outputToken equals this value (e.g. EVM token address). Use with relatedAddress_eq for (intent OR intent) AND (tradingAddress OR withdrawTo).

pagenumberOptional

Page number (default: 1)

Example: 1
pageSizenumberOptional

Number of items per page (default: 10)

Example: 10
sortstringOptional

Sort field and order. Use - prefix for descending. Example: -createdAt, createdAt

Example: -createdAt
selectstringOptional

Fields to select (comma separated). Use + prefix to include hidden fields. Example: name,status,+holders

populatestringOptional

Relations to populate (comma separated). Example: wallet,token

Responses
chevron-right
200

Get Sodax transactions

application/json
codestringRequiredExample: 1
messagestringRequiredExample: common.success
dataobject[]Required
get
/api/sodax/transactions
200

Get Sodax transactions

Last updated